GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Friends
grpc::Slice Class Reference

`#include <slice.h>`

## Public Types
enum | AddRef { ADD_REF }
enum | StealRef { STEAL_REF }

## Public Member Functions
| Slice ()
| ~Slice ()
| Slice (gpr_slice slice, AddRef)
| Slice (gpr_slice slice, StealRef)
| Slice (const Slice &other)
Slice & | operator= (Slice other)
size_t | size () const
const gpr_uint8 * | begin () const
const gpr_uint8 * | end () const

## Friends
class | ByteBuffer

## Member Enumeration Documentation

enum grpc::Slice::AddRef

Enumerator
ADD_REF |

enum grpc::Slice::StealRef

Enumerator
STEAL_REF |

## Constructor & Destructor Documentation

grpc::Slice::Slice | ( |  | ) |

grpc::Slice::~Slice | ( |  | ) |

grpc::Slice::Slice | ( | gpr_slice | slice,
|  | AddRef |
| ) |  |

grpc::Slice::Slice | ( | gpr_slice | slice,
|  | StealRef |
| ) |  |

grpc::Slice::Slice | ( | const Slice & | other | ) |

## Member Function Documentation

const gpr_uint8* grpc::Slice::begin | ( |  | ) | const
| inline

const gpr_uint8* grpc::Slice::end | ( |  | ) | const
| inline

Slice& grpc::Slice::operator= | ( | Slice | other | ) |
| inline

size_t grpc::Slice::size | ( |  | ) | const
| inline

## Friends And Related Function Documentation

friend class ByteBuffer
| friend

The documentation for this class was generated from the following files:

- include/grpc++/slice.h
- src/cpp/util/slice.cc